summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--audio/swami/README8
-rw-r--r--audio/swami/doinst.sh14
-rw-r--r--audio/swami/slack-desc19
-rw-r--r--audio/swami/swami-menu-qsort-bug.patch12
-rw-r--r--audio/swami/swami.SlackBuild84
-rw-r--r--audio/swami/swami.info10
6 files changed, 147 insertions, 0 deletions
diff --git a/audio/swami/README b/audio/swami/README
new file mode 100644
index 0000000000..090a998abf
--- /dev/null
+++ b/audio/swami/README
@@ -0,0 +1,8 @@
+Sampled Waveforms And Musical Instruments - is a collection of free
+software for editing and sharing MIDI instruments and sounds. Swami
+aims to provide cross platform (Linux, Windows and Mac OSX) instrument
+editing and sharing software for instrument formats such as SoundFont,
+DLS and GigaSampler
+
+Requires: libinstpatch, libgnomecanvas
+Optional for playback: fluidsynth (in that case + lash + jack)
diff --git a/audio/swami/doinst.sh b/audio/swami/doinst.sh
new file mode 100644
index 0000000000..9830478e8c
--- /dev/null
+++ b/audio/swami/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/audio/swami/slack-desc b/audio/swami/slack-desc
new file mode 100644
index 0000000000..f842152604
--- /dev/null
+++ b/audio/swami/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+swami: swami (Sampled Waveforms And Musical Instruments)
+swami:
+swami: Sampled Waveforms And Musical Instruments - is a collection of free
+swami: software for editing and sharing MIDI instruments and sounds. Swami
+swami: aims to provide cross platform (Linux, Windows and Mac OSX) instrument
+swami: editing and sharing software for instrument formats such as SoundFont,
+swami: DLS and GigaSampler.
+swami:
+swami:
+swami:
+swami:
diff --git a/audio/swami/swami-menu-qsort-bug.patch b/audio/swami/swami-menu-qsort-bug.patch
new file mode 100644
index 0000000000..f6119e420d
--- /dev/null
+++ b/audio/swami/swami-menu-qsort-bug.patch
@@ -0,0 +1,12 @@
+--- src/swamigui/SwamiguiMenu.c (revision 370)
++++ src/swamigui/SwamiguiMenu.c (working copy)
+@@ -373,7 +373,7 @@
+ menu = gtk_menu_new ();
+
+ types = swami_util_get_child_types (IPATCH_TYPE_BASE, &n_types);
+- qsort (types, sizeof (GType), n_types, sort_by_type_name);
++ qsort (types, n_types, sizeof (GType), sort_by_type_name);
+
+ for (ptype = types; *ptype; ptype++)
+ {
+
diff --git a/audio/swami/swami.SlackBuild b/audio/swami/swami.SlackBuild
new file mode 100644
index 0000000000..0dd0b57e5b
--- /dev/null
+++ b/audio/swami/swami.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+# Slackware build script for <swami>
+# Written by Michales Michaloudes korgie@gmail.com
+
+PRGNAM=swami
+VERSION=${VERSION:-2.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+#Solve segfault on Slackware64
+# Source: https://bugs.launchpad.net/bugs/810569
+patch -p0 < $CWD/swami-menu-qsort-bug.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION/
+cp -a \
+ ABOUT-NLS CVS-HOWTO NEWS AUTHORS COPYING ChangeLog INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/swami/swami.info b/audio/swami/swami.info
new file mode 100644
index 0000000000..2d4f89296c
--- /dev/null
+++ b/audio/swami/swami.info
@@ -0,0 +1,10 @@
+PRGNAM="swami"
+VERSION="2.0.0"
+HOMEPAGE="http://swamiproject.org"
+DOWNLOAD="http://downloads.sourceforge.net/swami/swami-2.0.0.tar.gz"
+MD5SUM="849b40e4a97c4f52faf069006358dd4f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
+APPROVED="Niels Horn"